ATA_HOST_ADD(9)

NAME
ata_host_add - Attach low-level ATA driver to system

SYNOPSIS

struct ata_port * ata_host_add (const struct ata_probe_ent * ent, struct ata_host_set * host_set, unsigned int port_no);

ARGUMENTS

ent Information provided by low-level driver

host_set
    Collections of ports to which we add

port_no
    Port number associated with this host

DESCRIPTION

Attach low-level ATA driver to system.

LOCKING

PCI/etc. bus probe sem.

RETURNS

New ata_port on success, for NULL on error.

AUTHOR
Jeff Garzik.